|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGraphicsPathItem Class Reference
[QtGui module]

The QGraphicsPathItem class provides a path item that you can add to a QGraphicsScene. More...

     #include <QGraphicsPathItem>

Inherits QAbstractGraphicsShapeItem.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QGraphicsPathItem ( QGraphicsItem * parent = 0 )
- QGraphicsPathItem ( const QPainterPath & path, QGraphicsItem * parent = 0 )
- ~QGraphicsPathItem ()
- QPainterPath path () const
- void setPath ( const QPainterPath & path )

- 4 public functions inherited from QAbstractGraphicsShapeItem
- 132 public functions inherited from QGraphicsItem

### Additional Inherited Members

- 1 static public member inherited from QGraphicsItem
- 23 protected functions inherited from QGraphicsItem

## Detailed Description

The QGraphicsPathItem class provides a path item that you can add to a QGraphicsScene.

To set the item's path, pass a QPainterPath to QGraphicsPathItem's constructor, or call the setPath() function. The path() function returns the current path.

QGraphicsPathItem uses the path to provide a reasonable implementation of boundingRect(), shape(), and contains(). The paint() function draws the path using the item's associated pen and brush, which you can set by calling the setPen() and setBrush() functions.

See also QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsTextItem, QGraphicsLineItem, QGraphicsPixmapItem, and The Graphics View Framework.

## Member Function Documentation

### QGraphicsPathItem::QGraphicsPathItem ( QGraphicsItem * parent = 0 )

Constructs a QGraphicsPath. parent is passed to QAbstractGraphicsShapeItem's constructor.

See also QGraphicsScene::addItem().

### QGraphicsPathItem::QGraphicsPathItem ( const QPainterPath & path, QGraphicsItem * parent = 0 )

Constructs a QGraphicsPath item using path as the default path. parent is passed to QAbstractGraphicsShapeItem's constructor.

See also QGraphicsScene::addItem().

### QGraphicsPathItem::~QGraphicsPathItem ()

Destroys the QGraphicsPathItem.

### QPainterPath QGraphicsPathItem::path () const

Returns the item's path as a QPainterPath. If no item has been set, an empty QPainterPath is returned.

See also setPath().

### void QGraphicsPathItem::setPath ( const QPainterPath & path )

Sets the item's path to be the given path.

See also path().